Loading...
Searching...
No Matches
fastjet::SearchTree< T >::const_circulator Class Reference

More...

`#include <fastjet/internal/SearchTree.hh>`

## Public Member Functions

| const_circulator (const Node *node)
| const_circulator (const circulator &circ)
const T * | operator-> ()
const T & | operator* () const
const_circulator & | operator++ ()
| prefix increment (structure copied from stl_bvector.h)
const_circulator | operator++ (int)
| postfix increment ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)
const_circulator & | operator-- ()
| prefix decrement (structure copied from stl_bvector.h)
const_circulator | operator-- (int)
| postfix decrement ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)
const_circulator | next () const
| return a circulator referring to the next node
const_circulator | previous () const
| return a circulator referring to the previous node
bool | operator!= (const const_circulator &other) const
bool | operator== (const const_circulator &other) const

## Detailed Description

template<class T>
class fastjet::SearchTree< T >::const_circulator

Definition at line 257 of file SearchTree.hh.

## Constructor & Destructor Documentation

## const_circulator() [1/3]

template<class T>

fastjet::SearchTree< T >::const_circulator::const_circulator | ( |  | ) |

inline

Definition at line 260 of file SearchTree.hh.

## const_circulator() [2/3]

template<class T>

fastjet::SearchTree< T >::const_circulator::const_circulator | ( | const Node * | node | ) |

inline

Definition at line 262 of file SearchTree.hh.

## const_circulator() [3/3]

template<class T>

fastjet::SearchTree< T >::const_circulator::const_circulator | ( | const circulator & | circ | ) |

inline

Definition at line 263 of file SearchTree.hh.

## Member Function Documentation

## operator->()

template<class T>

const T * fastjet::SearchTree< T >::const_circulator::operator-> | ( |  | ) |

inline

Definition at line 265 of file SearchTree.hh.

## operator*()

template<class T>

const T & fastjet::SearchTree< T >::const_circulator::operator* | ( |  | ) | const

inline

Definition at line 266 of file SearchTree.hh.

## operator++() [1/2]

template<class T>

const_circulator & fastjet::SearchTree< T >::const_circulator::operator++ | ( |  | ) |

inline

prefix increment (structure copied from stl_bvector.h)

Definition at line 269 of file SearchTree.hh.

## operator++() [2/2]

template<class T>

const_circulator fastjet::SearchTree< T >::const_circulator::operator++ | ( | int |  | ) |

inline

postfix increment ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)

Definition at line 275 of file SearchTree.hh.

## operator--() [1/2]

template<class T>

const_circulator & fastjet::SearchTree< T >::const_circulator::operator-- | ( |  | ) |

inline

prefix decrement (structure copied from stl_bvector.h)

Definition at line 282 of file SearchTree.hh.

## operator--() [2/2]

template<class T>

const_circulator fastjet::SearchTree< T >::const_circulator::operator-- | ( | int |  | ) |

inline

postfix decrement ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)

Definition at line 288 of file SearchTree.hh.

## next()

template<class T>

const_circulator fastjet::SearchTree< T >::const_circulator::next | ( |  | ) | const

inline

return a circulator referring to the next node

Definition at line 294 of file SearchTree.hh.

## previous()

template<class T>

const_circulator fastjet::SearchTree< T >::const_circulator::previous | ( |  | ) | const

inline

return a circulator referring to the previous node

Definition at line 298 of file SearchTree.hh.

## operator!=()

template<class T>

bool fastjet::SearchTree< T >::const_circulator::operator!= | ( | const const_circulator & | other | ) | const

inline

Definition at line 303 of file SearchTree.hh.

## operator==()

template<class T>

bool fastjet::SearchTree< T >::const_circulator::operator== | ( | const const_circulator & | other | ) | const

inline

Definition at line 304 of file SearchTree.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/SearchTree.hh